jQuery(document).ready(function($) {
	
	$.each(fwdrmgPresetsObj, function(i, el){
		$("#fwdrmg_presets_list").append("<option value='" + el.name + "'>" + el.name + "</option>");
		setShortodeIntext();
	});

	$("#fwdrmg_presets_list").change(function(){
		sid = $("#fwdrmg_presets_list").val();
		setShortodeIntext();
	});
	
	$("#fwdrmg_div").hide();
	
	function setShortodeIntext(){
		if(fwdrmgPlaylistsObj.length > 0){
			$("#fwdrmg_shortocde").val('[fwdrmg preset_id="' + sid + '" playlist_id="' + pid + '"]');
			$("#fwdrmg_shortocde").show();
		}else{
			$("#fwdrmg_shortocde").hide();
		}
	}
		
	if (fwdrmgPlaylistsObj.length > 0)
	{
		$.each(fwdrmgPlaylistsObj, function(i, el)
		{
			$("#fwdrmg_playlists_list").append("<option value='" + el.name + "'>" + el.name + "</option>");
		});

		$("#fwdrmg_playlists_list").change(function()
		{
			pid = $("#fwdrmg_playlists_list").val();
			setShortodeIntext();
		});
		
		var sid = $("#fwdrmg_presets_list").val();
		var pid = $("#fwdrmg_playlists_list").val();
		
		$("#fwdrmg_shortcode_btn").click(function()
		{
			var shortcode = '[fwdrmg preset_id="' + sid + '" playlist_id="' + pid + '"]';
		
			if (typeof tinymce != "undefined")
			{
			    var editor = tinymce.get("content");
			    
			    if (editor && (editor instanceof tinymce.Editor) && ($("textarea#content:hidden").length != 0))
			    {
			        editor.selection.setContent(shortcode);
			        editor.save({no_events: true});
			    }
			    else
			    {
					var text = $("textarea#content").val();
					var select_pos1 = $("textarea#content").prop("selectionStart");
					var select_pos2 = $("textarea#content").prop("selectionEnd");
					
					var new_text = text.slice(0, select_pos1) + shortcode + text.slice(select_pos2);
					
					$("textarea#content").val(new_text);
			    } 
			}
			else
			{
				var text = $("textarea#content").val();
				var select_pos1 = $("textarea#content").prop("selectionStart");
				var select_pos2 = $("textarea#content").prop("selectionEnd");
				
				var new_text = text.slice(0, select_pos1) + shortcode + text.slice(select_pos2);
				
				$("textarea#content").val(new_text);
			}

			$("#fwdrmg_div").hide();
			$("#fwdrmg_div").fadeIn(600);
			$("#fwdrmg_msg").html("The shortcode has been added!");
			
			return false;
		});
	}
	else
	{
		var td = $("#fwdrmg_playlists_list").parent();
		
		$("#fwdrmg_playlists_list").remove();
		td.append("<em style='margin-left:8px;'>No playlists are available.</em>");
		
		$("#fwdrmg_shortcode_btn").prop("disabled", true);
		$("#fwdrmg_shortcode_btn").css("cursor", "default");
	}
	
	setShortodeIntext();
});